#include "VrMD5Utils.h"
#include <md5.h>
#include <algorithm>

std::string VrMD5Utils::GetMD5(const char* pData, const int nDataLen)
{
	std::string md5 = MD5((unsigned char*)pData, nDataLen).toStr();
    std::transform(md5.begin(), md5.end(), md5.begin(), ::toupper);
    return md5;
}